Package io.flutter.embedding.engine

## Class FlutterEngineGroup.Options

- java.lang.Object
- - io.flutter.embedding.engine.FlutterEngineGroup.Options

- Enclosing class:
    FlutterEngineGroup

      public static class FlutterEngineGroup.Options
      extends Object

  Options that control how a FlutterEngine should be created.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Options​(Context context)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Context` | `getContext()` |
    `DartExecutor.DartEntrypoint` | `getDartEntrypoint()` | dartEntrypoint specifies the `DartExecutor.DartEntrypoint` the new engine should run.
    `List<String>` | `getDartEntrypointArgs()` | Arguments passed as a list of string to Dart's entrypoint function.
    `String` | `getInitialRoute()` | The name of the initial Flutter `Navigator` `Route` to load.
    `FlutterEngineGroup.Options` | `setDartEntrypoint​(DartExecutor.DartEntrypoint dartEntrypoint)` | Setter for `dartEntrypoint` property.
    `FlutterEngineGroup.Options` | `setDartEntrypointArgs​(List<String> dartEntrypointArgs)` | Setter for `dartEntrypointArgs` property.
    `FlutterEngineGroup.Options` | `setInitialRoute​(String initialRoute)` | Setter for `initialRoute` property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Options

          public Options​(@NonNull
                         Context context)

  - ### Method Detail

    - #### getContext

          public Context getContext()

    - #### getDartEntrypoint

          public DartExecutor.DartEntrypoint getDartEntrypoint()

      dartEntrypoint specifies the `DartExecutor.DartEntrypoint` the new engine should run. It doesn't need to be the same entrypoint as the current engine but must be built in the same AOT or snapshot.

    - #### getInitialRoute

          public String getInitialRoute()

      The name of the initial Flutter `Navigator` `Route` to load. If this is null, it will default to the "/" route.

    - #### getDartEntrypointArgs

          public List<String> getDartEntrypointArgs()

      Arguments passed as a list of string to Dart's entrypoint function.

    - #### setDartEntrypoint

          public FlutterEngineGroup.Options setDartEntrypoint​(DartExecutor.DartEntrypoint dartEntrypoint)

      Setter for `dartEntrypoint` property.
      Parameters:
        `dartEntrypoint` - specifies the `DartExecutor.DartEntrypoint` the new engine should run. It doesn't need to be the same entrypoint as the current engine but must be built in the same AOT or snapshot.

    - #### setInitialRoute

          public FlutterEngineGroup.Options setInitialRoute​(String initialRoute)

      Setter for `initialRoute` property.
      Parameters:
        `initialRoute` - The name of the initial Flutter `Navigator` `Route` to load. If this is null, it will default to the "/" route.

    - #### setDartEntrypointArgs

          public FlutterEngineGroup.Options setDartEntrypointArgs​(List<String> dartEntrypointArgs)

      Setter for `dartEntrypointArgs` property.
      Parameters:
        `dartEntrypointArgs` - Arguments passed as a list of string to Dart's entrypoint function.